## org.eclipse.datatools.sqltools.schemaobjecteditor.ui
Interface ISchemaObjectEditorActionBarContributor

All Known Implementing Classes:
  DefaultSchemaObjectEditorActionBarContributor, ProceduralObjectEditorActionContributor

    public interface ISchemaObjectEditorActionBarContributor

A schema object editor which need to contribute new actions need to implement this interface

Author:
  Idull

Method Summary
`void` `contributeToCoolBar(org.eclipse.jface.action.ICoolBarManager coolBarManager)` Contributes actions to cool bar.
`void` `contributeToMenu(org.eclipse.jface.action.IMenuManager menuManager)` Contributes actions to menu
`void` `contributeToStatusLine(org.eclipse.jface.action.IStatusLineManager statusLineManager)` Sets/clears message on status line
`void` `contributeToToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager)` Contribute actions to tool bar
`org.eclipse.ui.IActionBars` `getActionBars()` Returns this contributor's action bars.
`org.eclipse.ui.IWorkbenchPage` `getPage()` Returns this contributor's workbench page.
`void` `init(org.eclipse.ui.IActionBars bars, org.eclipse.ui.IWorkbenchPage page)` Initializes this contributor, which is expected to add contributions as required to the given action bars and global action handlers.
`void` `setActivePage(org.eclipse.ui.IEditorPart activeEditor)` This method is called whenever the page changes.
`void` `setEditor(ISchemaObjectEditor editor)` Sets the editor

Method Detail

### setEditor

    void setEditor(ISchemaObjectEditor editor)

  Sets the editor

  Parameters:
    `editor` -

### contributeToCoolBar

    void contributeToCoolBar(org.eclipse.jface.action.ICoolBarManager coolBarManager)

  Contributes actions to cool bar.

  Parameters:
    `coolBarManager` -

### contributeToMenu

    void contributeToMenu(org.eclipse.jface.action.IMenuManager menuManager)

  Contributes actions to menu

  Parameters:
    `menuManager` -

### contributeToStatusLine

    void contributeToStatusLine(org.eclipse.jface.action.IStatusLineManager statusLineManager)

  Sets/clears message on status line

  Parameters:
    `statusLineManager` -

### contributeToToolBar

    void contributeToToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager)

  Contribute actions to tool bar

  Parameters:
    `toolBarManager` -

### setActivePage

    void setActivePage(org.eclipse.ui.IEditorPart activeEditor)

  This method is called whenever the page changes. Subclasses must implement this method to redirect actions to the given editor (if not already directed to it).

  Parameters:
    `activeEditor` -

### init

    void init(org.eclipse.ui.IActionBars bars,
              org.eclipse.ui.IWorkbenchPage page)

  Initializes this contributor, which is expected to add contributions as required to the given action bars and global action handlers.

  The page is passed to support the use of `RetargetAction` by the contributor. In this case the init method implementors should:

  - 1) set retarget actions as global action handlers
  - 2) add the retarget actions as part listeners
  - 3) get the active part and if not `null` call partActivated on the retarget actions

  And in the dispose method the retarget actions should be removed as part listeners.

  Parameters:
    `bars` - the action bars
    `page` - the workbench page for this contributor

### getActionBars

    org.eclipse.ui.IActionBars getActionBars()

  Returns this contributor's action bars.

  Returns:
    the action bars

### getPage

    org.eclipse.ui.IWorkbenchPage getPage()

  Returns this contributor's workbench page.

  Returns:
    the workbench page